/*
 * klm.h	KLM-specific function.
 *
 * Coypright (C) 1995, O. Kirch <okir@monad.swb.de>
 *
 */

#ifndef KLM_H
#define KLM_H

#include "klm_prot.h"
#include "nlm_prot.h"
#include "log.h"

/*
 * The signal we send to a process when we failed to reclaim a lock.
 * Unfortunately, the Linux header files don't define SIGLOST (it's
 * commented out, but the signal number ios equal to SIGIO).
 */
#ifndef SIGLOST
# define SIGLOST	SIGIO
#endif

void	klm_register(int prognum);
bool_t	klm_null_svc(struct svc_req *, void *, void *);
bool_t	klm_test_svc(struct svc_req *, klm_testargs *, klm_testrply *);
bool_t	klm_lock_svc(struct svc_req *, klm_lockargs *, klm_stat *);
bool_t	klm_cancel_svc(struct svc_req *, klm_lockargs *, klm_stat *);
bool_t	klm_unlock_svc(struct svc_req *, klm_unlockargs *, klm_stat *);

void	klm_test_reply(SVCXPRT *transp, nlm_testres *resp);
void	klm_lock_reply(SVCXPRT *transp, nlm_res *resp);
void	klm_cancel_reply(SVCXPRT *transp, nlm_res *resp);
void	klm_unlock_reply(SVCXPRT *transp, nlm_res *resp);

#endif /* KLM_H */
