/*
 * 
 *		header, copyright info etc
 *
 */

#ifndef _LOCKD_H_
#define _LOCKD_H_

#define LOCKD_PROGRAM 100021L
#define LOCKD_VERSION 3L

#define SHARE         20L       /* DOS 3.1 Share function */
#define UNSHARE       21L       /* DOS 3.1 UnShare function */
#define LOCK          22L       /* DOS 3.1 Lock request */
#define REMOVE        23L       /* Remove all locks/shares for PC */
#define UNLOCK        24L       /* DOS 3.1 Unlock request */
#define FLOCK         2L        /* File Lock request */
#define FUNLOCK       4L        /* File Unlock request */

struct locking {
	int		opaque_len;	/* Length of netobj value */
        unsigned int 	cookie;		/* 4 bytes */
        int     	mode;		/* Share Mode */
        int     	access;		/* Requested Access Type */
        char    	name[1024];	/* Client name */
        char    	fh[1024];	/* File Handle*/
        char    	oh[1024];    
	int		block;		/* Block flag */
	int		exclus;		/* Exclusive lock flag */
	int		reclaim;	/* reclaim flag */
	int		uppid;		/* User pid */
	int		state;      
        unsigned long   offset;
        unsigned long   length;
        int     	stat;
        int     	sequence;
};


#define T_LOCK    'L'
#define T_SHARE   'S'


extern	int		timeout;
extern int		grace;
extern int		debug;

#endif /* _LOCKD_H_ */
